Skip to content

Get Instagram channel information
Closed Beta

Request

Returns the information for an Instagram channel linked to a Conversation API App.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

conversationAppIdstringrequired

The unique ID of the app. You can find this on the Sinch Dashboard.

curl -i -X GET \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/instagram' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Instagram information.

Bodyapplication/json
statusstring(ConversationChannelStatus)required

Channel integration status.

Enum:"ACTIVE""ERROR""FAILING""PENDING""UNRECOGNIZED"
statusDescriptionstring

Channel integration description if status is ERROR or FAILED.

idstring

Instagram ID.

namestring

Public profile name if set.

usernamestring

Profile username.

biographystring

Public profile biography if set.

followersCountnumber

Total number of Instagram users following the sender.

followsCountnumber

Total number of Instagram users the sender follows.

mediaCountnumber

Total number of Instagram Media published on the sender.

profilePictureUrlstring

Public profile picture URL if set.

websitestring

Public profile website URL if set.

Response

The information for the Instagram page connected to the Conversation API App.

{ "id": "1234567890", "username": "Sinch", "status": "ACTIVE", "followersCount": 1, "followsCount": 3, "mediaCount": 0 }
We'd love to hear from you!
Rate this content: